<template>
	<div v-if="detailseen" class="sidebar-menu">
		<div class="scroll-wrapper menu-items" style="position: relative;">
		  	<div  class="card social-card share share-other full-width">
		      <div class="card-content">
		      	<ul class="buttons btn-lg">
                  <li>
                    <a href="#" @click="closeMenu()"><i class="fa fa-arrow-circle-left"></i>
					</a>
                  </li>
                </ul>
		        <img alt="Person photo" src="assets/img/gallery/9.jpg">
		      </div>
		      <div class="card-body">
		      	<button @click="getDirection" type="button" class="btn btn-block btn-default">
                  	<span class="pull-right"><i class="fa fa-deviantart"></i>
                </span>Get Direction</button>
                <button type="button" class="btn btn-block btn-default">
                  	<span class="pull-right"><i class="fa fa-share-alt-square"></i>
                </span>Share Location</button>
                <div v-if="menus.commonview">
                	<h5>{{point.id}}</h5>
                	<h6>{{point.type}}</h6>
                </div>
                <div >
                	<h6>{{point.judul}}</h6>
                	<h6>{{point.waktu}}</h6><h6>{{point.tempat}}</h6>
                </div>
		        <h6 align="justify">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur aliquet sem sit amet dolor luctus, ac venenatis eros semper. Sed eget ex aliquam turpis pellentesque imperdiet. Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Curabitur pharetra justo eu fringilla hendrerit. Nulla sed mauris est. La tincidunt massa urna vitae nibh. Suspendisse malesuada quis magna id maximus.</h6>
		      </div>
		      <div class="card-header clearfix last">
		        <h5>Lorem ipsum dolor</h5>
		        <h6>nascetur ridiculus mus</h6>
		      </div>
		    </div>
	    </div>
	</div>
</template>


<script>
import EventBus from '../eventbus';
import {mapGetters} from 'vuex';

export default {
  	name: 'google-detail',
  
	data: function () {
		return {
			detailseen:false,
			title:'',
			type:'',
			menus:{
				'commonview':true,
				'eventkampus':false,
			},
			point:''

		}
	},
	created() {
	 	EventBus.$on('detail', this.getDetail);
	 	EventBus.$on('detailParkiran', this.getDetailParkiran);
	 	EventBus.$on('detailEvent', this.getDetailEvent);
	 	// EventBus.$on('detailseen',this.setMenu);
	},
	beforeDestroy() {
		EventBus.$off('detail');
		// EventBus.$off('detailseen');
		EventBus.$off('detailParkiran');
		EventBus.$off('detailEvent');
		clearInterval(this.timer);
	},
	methods: {
		getDetailParkiran(point){
			this.point = point;
	 		this.detailseen = true;
	 		EventBus.$emit('menuseen',false);

		},
		getDetailEvent(point){
			this.point = point;
			this.menus.commonview = false;
	 		this.detailseen = true;
	 		this.menus.eventkampus = true;
	 		EventBus.$emit('menuseen',false);
		},
		getDetail(id){
	 		// this.title = detail.getProperty('id');

	 		// this.title = detail[0].objectid;
	 		// this.type = detail[0].type;

	 		this.$store.dispatch('getPoint', id);

	 		this.$store.watch(
		      (state, getters) => getters.datapoint,
		      (newValue, oldValue) => {
			 		this.point = newValue[0];
			 		this.detailseen = true;
			 		console.log(this.point);
			 		EventBus.$emit('menuseen',false);
		      },
		    );
	 		
		},
		setMenu(detailseen){
	 		this.detailseen = detailseen;
		},
		closeMenu(){
	 		this.detailseen = false;
	 		EventBus.$emit('menuseen',true);
		},
		getDirection(){
			// this.direction.destination = this.point;
			console.log(this.point);
			EventBus.$emit('directionRequest',this.point);
			this.closeMenu();
		}
	},
	computed: {
        ...mapGetters([
            'points','datapoint'
        ])
	}

};
</script>